Network
AGH Network HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
curl -X GET "https://example.com/api/network/status"{
"network": {
"channels": 0,
"configured_default_channel": "string",
"conversation_messages": 0,
"declared_channels": [
{
"activation_id": "string",
"bundle_name": "string",
"description": "string",
"extension_name": "string",
"name": "string",
"primary": true,
"profile_name": "string",
"workspace_id": "string"
}
],
"delivery_workers": 0,
"direct_resolves": 0,
"effective_default_channel": "string",
"effective_default_source": "string",
"enabled": true,
"handoff_tagged_events": 0,
"kind_metrics": [
{
"delivered": 0,
"kind": "string",
"received": 0,
"rejected": 0,
"sent": 0
}
],
"last_disconnect": "string",
"listener_host": "string",
"listener_port": 0,
"local_peers": 0,
"messages_delivered": 0,
"messages_received": 0,
"messages_rejected": 0,
"messages_sent": 0,
"open_direct_rooms": 0,
"open_threads": 0,
"open_work_items": 0,
"queued_messages": 0,
"queued_sessions": 0,
"remote_peers": 0,
"status": "string",
"work_transitions": 0,
"workflow_tagged_events": 0
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channelsPath Parameters
Workspace id
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/channels"{
"channels": [
{
"channel": "string",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"historical_participant_count": 0,
"last_activity_at": "2019-08-24T14:15:22Z",
"last_message_preview": "string",
"last_presence_at": "2019-08-24T14:15:22Z",
"local_peer_count": 0,
"message_count": 0,
"peer_count": 0,
"presence_count": 0,
"purpose": "string",
"remote_peer_count": 0,
"session_count": 0,
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channelsPath Parameters
Workspace id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/network/channels" \ -H "Content-Type: application/json" \ -d '{ "agent_names": [ "string" ], "channel": "string", "purpose": "string", "workspace_id": "string" }'{
"channel": {
"channel": "string",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"historical_participant_count": 0,
"kind_counts": [
{
"count": 0,
"kind": "string"
}
],
"last_activity_at": "2019-08-24T14:15:22Z",
"last_message_preview": "string",
"last_presence_at": "2019-08-24T14:15:22Z",
"local_peer_count": 0,
"message_count": 0,
"peer_count": 0,
"peers": [
{
"channel": "string",
"display_name": "string",
"expires_at": "2019-08-24T14:15:22Z",
"joined_at": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"last_seen_age_seconds": 0,
"local": true,
"peer_card": {
"artifacts_supported": [
"string"
],
"capabilities": [
{
"id": "string",
"summary": "string"
}
],
"display_name": "string",
"ext": {
"property1": null,
"property2": null
},
"peer_id": "string",
"profiles_supported": [
"string"
],
"trust_modes_supported": [
"string"
]
},
"peer_id": "string",
"presence_state": "string",
"session_id": "string",
"workspace_id": "string"
}
],
"presence_count": 0,
"purpose": "string",
"remote_peer_count": 0,
"session_count": 0,
"sessions": [
{
"acp_caps": {
"config_options": [
{
"current": "string",
"description": "string",
"id": "string",
"kind": "string",
"label": "string",
"values": [
{
"description": "string",
"label": "string",
"value": "string"
}
]
}
],
"supported_models": [
"string"
],
"supported_modes": [
"string"
],
"supports_load_session": true
},
"acp_session_id": "string",
"activity": {
"current_tool": "string",
"deadline_at": "2019-08-24T14:15:22Z",
"elapsed_ms": 0,
"elapsed_seconds": 0,
"idle_seconds": 0,
"iteration_current": 0,
"iteration_max": 0,
"last_activity_at": "2019-08-24T14:15:22Z",
"last_activity_detail": "string",
"last_activity_kind": "string",
"last_progress_at": "2019-08-24T14:15:22Z",
"tool_call_id": "string",
"turn_id": "string",
"turn_source": "string",
"turn_started_at": "2019-08-24T14:15:22Z"
},
"agent_name": "string",
"attach_expires_at": "2019-08-24T14:15:22Z",
"attachable": true,
"attached_to": "string",
"badge": "string",
"channel": "string",
"created_at": "2019-08-24T14:15:22Z",
"failure": {
"crash_bundle_path": "string",
"kind": "string",
"summary": "string"
},
"health": {
"active_prompt": true,
"agent_name": "string",
"attachable": true,
"eligible_for_wake": true,
"health": "healthy",
"ineligibility_reason": "session_prompt_active",
"last_activity_at": "2019-08-24T14:15:22Z",
"last_error": "string",
"last_presence_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"state": "idle",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
},
"id": "string",
"lineage": {
"auto_stop_on_parent": true,
"parent_session_id": "string",
"permission_policy": {
"mcp_servers": [
"string"
],
"network_channels": [
"string"
],
"sandbox_profiles": [
"string"
],
"skills": [
"string"
],
"tools": [
"string"
],
"workspace_paths": [
"string"
]
},
"root_session_id": "string",
"spawn_budget": {
"max_active_per_workspace": 0,
"max_children": 0,
"max_depth": 0,
"ttl_seconds": 0
},
"spawn_depth": 0,
"spawn_role": "string",
"ttl_expires_at": "2019-08-24T14:15:22Z"
},
"model": "string",
"name": "string",
"provider": "string",
"reasoning_effort": "string",
"sandbox": {
"backend": "string",
"instance_id": "string",
"last_sync_error": "string",
"profile": "string",
"provider_state_json": null,
"sandbox_id": "string",
"state": "string"
},
"state": "starting",
"stop_detail": "string",
"stop_reason": "completed",
"type": "user",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string",
"workspace_path": "string"
}
],
"workspace_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channels/{channel}Path Parameters
Workspace id
Network channel
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/channels/string"{
"channel": {
"channel": "string",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"historical_participant_count": 0,
"kind_counts": [
{
"count": 0,
"kind": "string"
}
],
"last_activity_at": "2019-08-24T14:15:22Z",
"last_message_preview": "string",
"last_presence_at": "2019-08-24T14:15:22Z",
"local_peer_count": 0,
"message_count": 0,
"peer_count": 0,
"peers": [
{
"channel": "string",
"display_name": "string",
"expires_at": "2019-08-24T14:15:22Z",
"joined_at": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"last_seen_age_seconds": 0,
"local": true,
"peer_card": {
"artifacts_supported": [
"string"
],
"capabilities": [
{
"id": "string",
"summary": "string"
}
],
"display_name": "string",
"ext": {
"property1": null,
"property2": null
},
"peer_id": "string",
"profiles_supported": [
"string"
],
"trust_modes_supported": [
"string"
]
},
"peer_id": "string",
"presence_state": "string",
"session_id": "string",
"workspace_id": "string"
}
],
"presence_count": 0,
"purpose": "string",
"remote_peer_count": 0,
"session_count": 0,
"sessions": [
{
"acp_caps": {
"config_options": [
{
"current": "string",
"description": "string",
"id": "string",
"kind": "string",
"label": "string",
"values": [
{
"description": "string",
"label": "string",
"value": "string"
}
]
}
],
"supported_models": [
"string"
],
"supported_modes": [
"string"
],
"supports_load_session": true
},
"acp_session_id": "string",
"activity": {
"current_tool": "string",
"deadline_at": "2019-08-24T14:15:22Z",
"elapsed_ms": 0,
"elapsed_seconds": 0,
"idle_seconds": 0,
"iteration_current": 0,
"iteration_max": 0,
"last_activity_at": "2019-08-24T14:15:22Z",
"last_activity_detail": "string",
"last_activity_kind": "string",
"last_progress_at": "2019-08-24T14:15:22Z",
"tool_call_id": "string",
"turn_id": "string",
"turn_source": "string",
"turn_started_at": "2019-08-24T14:15:22Z"
},
"agent_name": "string",
"attach_expires_at": "2019-08-24T14:15:22Z",
"attachable": true,
"attached_to": "string",
"badge": "string",
"channel": "string",
"created_at": "2019-08-24T14:15:22Z",
"failure": {
"crash_bundle_path": "string",
"kind": "string",
"summary": "string"
},
"health": {
"active_prompt": true,
"agent_name": "string",
"attachable": true,
"eligible_for_wake": true,
"health": "healthy",
"ineligibility_reason": "session_prompt_active",
"last_activity_at": "2019-08-24T14:15:22Z",
"last_error": "string",
"last_presence_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"state": "idle",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
},
"id": "string",
"lineage": {
"auto_stop_on_parent": true,
"parent_session_id": "string",
"permission_policy": {
"mcp_servers": [
"string"
],
"network_channels": [
"string"
],
"sandbox_profiles": [
"string"
],
"skills": [
"string"
],
"tools": [
"string"
],
"workspace_paths": [
"string"
]
},
"root_session_id": "string",
"spawn_budget": {
"max_active_per_workspace": 0,
"max_children": 0,
"max_depth": 0,
"ttl_seconds": 0
},
"spawn_depth": 0,
"spawn_role": "string",
"ttl_expires_at": "2019-08-24T14:15:22Z"
},
"model": "string",
"name": "string",
"provider": "string",
"reasoning_effort": "string",
"sandbox": {
"backend": "string",
"instance_id": "string",
"last_sync_error": "string",
"profile": "string",
"provider_state_json": null,
"sandbox_id": "string",
"state": "string"
},
"state": "starting",
"stop_detail": "string",
"stop_reason": "completed",
"type": "user",
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string",
"workspace_path": "string"
}
],
"workspace_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channels/{channel}/directsPath Parameters
Workspace id
Network channel
Query Parameters
Filter direct rooms by peer id
Return direct rooms after the specified direct id
Maximum number of direct rooms to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/channels/string/directs"{
"directs": [
{
"channel": "string",
"direct_id": "string",
"last_activity_at": "2019-08-24T14:15:22Z",
"last_message_preview": "string",
"message_count": 0,
"open_work_count": 0,
"opened_at": "2019-08-24T14:15:22Z",
"peer_a": "string",
"peer_b": "string",
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channels/{channel}/directs/resolvePath Parameters
Workspace id
Network channel
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/network/channels/string/directs/resolve" \ -H "Content-Type: application/json" \ -d '{ "peer_id": "string", "session_id": "string" }'{
"direct": {
"channel": "string",
"direct_id": "string",
"last_activity_at": "2019-08-24T14:15:22Z",
"last_message_preview": "string",
"message_count": 0,
"open_work_count": 0,
"opened_at": "2019-08-24T14:15:22Z",
"peer_a": "string",
"peer_b": "string",
"workspace_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channels/{channel}/directs/{direct_id}Path Parameters
Workspace id
Network channel
Direct-room id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/channels/string/directs/string"{
"direct": {
"channel": "string",
"direct_id": "string",
"last_activity_at": "2019-08-24T14:15:22Z",
"last_message_preview": "string",
"message_count": 0,
"open_work_count": 0,
"opened_at": "2019-08-24T14:15:22Z",
"peer_a": "string",
"peer_b": "string",
"workspace_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channels/{channel}/directs/{direct_id}/messagesPath Parameters
Workspace id
Network channel
Direct-room id
Query Parameters
Return messages before the specified message id
Return messages after the specified message id
Filter messages by network kind
Filter messages by work id
Maximum number of messages to return
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/channels/string/directs/string/messages"{
"messages": [
{
"body": null,
"causation_id": "string",
"channel": "string",
"direct_id": "string",
"direction": "string",
"display_name": "string",
"intent": "string",
"kind": "string",
"local": true,
"message_id": "string",
"peer_from": "string",
"peer_to": "string",
"presence_count": 0,
"presence_last_seen_at": "2019-08-24T14:15:22Z",
"presence_started_at": "2019-08-24T14:15:22Z",
"preview_text": "string",
"reply_to": "string",
"session_id": "string",
"surface": "string",
"text": "string",
"thread_id": "string",
"timestamp": "2019-08-24T14:15:22Z",
"trace_id": "string",
"work_id": "string",
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channels/{channel}/threadsPath Parameters
Workspace id
Network channel
Query Parameters
Return threads after the specified thread id
Maximum number of public threads to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/channels/string/threads"{
"threads": [
{
"channel": "string",
"last_activity_at": "2019-08-24T14:15:22Z",
"last_message_preview": "string",
"message_count": 0,
"open_work_count": 0,
"opened_at": "2019-08-24T14:15:22Z",
"opened_by_peer_id": "string",
"opened_session_id": "string",
"participant_count": 0,
"root_message_id": "string",
"thread_id": "string",
"title": "string",
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channels/{channel}/threads/{thread_id}Path Parameters
Workspace id
Network channel
Public thread id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/channels/string/threads/string"{
"thread": {
"channel": "string",
"last_activity_at": "2019-08-24T14:15:22Z",
"last_message_preview": "string",
"message_count": 0,
"open_work_count": 0,
"opened_at": "2019-08-24T14:15:22Z",
"opened_by_peer_id": "string",
"opened_session_id": "string",
"participant_count": 0,
"root_message_id": "string",
"thread_id": "string",
"title": "string",
"workspace_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/channels/{channel}/threads/{thread_id}/messagesPath Parameters
Workspace id
Network channel
Public thread id
Query Parameters
Return messages before the specified message id
Return messages after the specified message id
Filter messages by network kind
Filter messages by work id
Maximum number of messages to return
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/channels/string/threads/string/messages"{
"messages": [
{
"body": null,
"causation_id": "string",
"channel": "string",
"direct_id": "string",
"direction": "string",
"display_name": "string",
"intent": "string",
"kind": "string",
"local": true,
"message_id": "string",
"peer_from": "string",
"peer_to": "string",
"presence_count": 0,
"presence_last_seen_at": "2019-08-24T14:15:22Z",
"presence_started_at": "2019-08-24T14:15:22Z",
"preview_text": "string",
"reply_to": "string",
"session_id": "string",
"surface": "string",
"text": "string",
"thread_id": "string",
"timestamp": "2019-08-24T14:15:22Z",
"trace_id": "string",
"work_id": "string",
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/inboxPath Parameters
Workspace id
Query Parameters
Target local session id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/inbox?session_id=string"{
"messages": [
{
"body": null,
"causation_id": "string",
"channel": "string",
"direct_id": "string",
"expires_at": 0,
"ext": {
"property1": null,
"property2": null
},
"from": "string",
"id": "string",
"kind": "string",
"proof": {
"property1": null,
"property2": null
},
"protocol": "string",
"reply_to": "string",
"surface": "string",
"thread_id": "string",
"to": "string",
"trace_id": "string",
"ts": 0,
"work_id": "string",
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/peersPath Parameters
Workspace id
Query Parameters
Filter peers by channel
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/peers"{
"peers": [
{
"channel": "string",
"display_name": "string",
"expires_at": "2019-08-24T14:15:22Z",
"joined_at": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"last_seen_age_seconds": 0,
"local": true,
"peer_card": {
"artifacts_supported": [
"string"
],
"capabilities": [
{
"id": "string",
"summary": "string"
}
],
"display_name": "string",
"ext": {
"property1": null,
"property2": null
},
"peer_id": "string",
"profiles_supported": [
"string"
],
"trust_modes_supported": [
"string"
]
},
"peer_id": "string",
"presence_state": "string",
"session_id": "string",
"workspace_id": "string"
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/peers/{peer_id}Path Parameters
Workspace id
Network peer id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/peers/string"{
"peer": {
"capability_catalog": {
"capabilities": [
{
"artifacts_expected": [
"string"
],
"constraints": [
"string"
],
"context_needed": [
"string"
],
"digest": "string",
"examples": [
"string"
],
"execution_outline": [
"string"
],
"id": "string",
"outcome": "string",
"requirements": [
"string"
],
"summary": "string",
"version": "string"
}
]
},
"channel": "string",
"display_name": "string",
"expires_at": "2019-08-24T14:15:22Z",
"joined_at": "2019-08-24T14:15:22Z",
"last_seen": "2019-08-24T14:15:22Z",
"last_seen_age_seconds": 0,
"local": true,
"metrics": {
"delivered": 0,
"received": 0,
"rejected": 0,
"sent": 0
},
"peer_card": {
"artifacts_supported": [
"string"
],
"capabilities": [
{
"id": "string",
"summary": "string"
}
],
"display_name": "string",
"ext": {
"property1": null,
"property2": null
},
"peer_id": "string",
"profiles_supported": [
"string"
],
"trust_modes_supported": [
"string"
]
},
"peer_id": "string",
"presence_state": "string",
"session_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/sendPath Parameters
Workspace id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/network/send" \ -H "Content-Type: application/json" \ -d '{ "body": null, "channel": "string", "kind": "string", "session_id": "string" }'{
"message": {
"causation_id": "string",
"channel": "string",
"direct_id": "string",
"expires_at": 0,
"ext": {
"property1": null,
"property2": null
},
"id": "string",
"kind": "string",
"reply_to": "string",
"session_id": "string",
"surface": "string",
"thread_id": "string",
"to": "string",
"trace_id": "string",
"work_id": "string",
"workspace_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/workspaces/{workspace_id}/network/work/{work_id}Path Parameters
Workspace id
Network work id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/workspaces/string/network/work/string"{
"work": {
"channel": "string",
"direct_id": "string",
"last_activity_at": "2019-08-24T14:15:22Z",
"opened_at": "2019-08-24T14:15:22Z",
"opened_by_peer_id": "string",
"opened_session_id": "string",
"state": "string",
"surface": "string",
"target_peer_id": "string",
"terminal_at": "2019-08-24T14:15:22Z",
"thread_id": "string",
"work_id": "string",
"workspace_id": "string"
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}